/////////////////  COMMON FUNCTIONS ////////////////////////// 
//////////////////////////////////////////////////////////////
var analyticsId = "UA-56286237-1";

function _get(param) {
	////// to get a signle parameter from current URL by name
    param = param.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
    var regex = new RegExp("[\\?&]" + param + "=([^&#]*)"),
    rs = regex.exec(location.search);
    return rs == null ? "" : decodeURIComponent(rs[1].replace(/\+/g, " "));
}

/////////////
function loginValidate() {
       if(window.localStorage["uid"] != undefined && window.localStorage["name"] != undefined)
	   return true; 
	   else return false; 
}

/////////////
function logout() {
     localStorage.clear(); 
	 location.href = 'html/login.html'; 
}

// Wait for device API libraries to load
$(document).ready(function(){
  document.addEventListener("deviceready", onDeviceReady, false);
});

// device APIs are available
function onDeviceReady() {
  document.addEventListener("backbutton", onBackKeyDown, false);

  // Register the event listener
  analytics.startTrackerWithId(analyticsId);
  analytics.debugMode();
}

// Handle the back button
function onBackKeyDown(e) {
  e.preventDefault();
  var url = location.href;
  if(url.indexOf("index.html") > -1 || url.indexOf("login.html") > -1){
    navigator.app.exitApp();
  }else{
    $.mobile.changePage( "../index.html", { transition: "slide", changeHash: true });
  }
}

function getSearchParameters() {
  var prmstr = window.location.search.substr(1);
  return prmstr != null && prmstr != "" ? transformToAssocArray(prmstr) : "";
}

function transformToAssocArray( prmstr ) {
  var params = {};
  var prmarr = prmstr.split("&");
  for ( var i = 0; i < prmarr.length; i++) {
    var tmparr = prmarr[i].split("=");
    params[tmparr[0]] = tmparr[1];
  }
  return params;
}